--***************************************************************
--*脚本名称:
--*功能: 分搜索关键词转化日报
--*业务名称: pm
--*输入数据:
--*作者: weiyimin@igengmei.com
--*更新时间:
--***************************************************************

--设置全局变量&UDF
SET mapreduce.job.queuename=data;

--使用bl数据库
USE pm;

--创建BL层内部表
CREATE TABLE IF NOT EXISTS pm.tl_pm_search_result_click_rate_d
(
 day_id string comment '{"chs_name":"当天日期","description":"","etl":"","value":"","remark":""}',
 query string comment '{"chs_name":"设备类型","description":"","etl":"","value":"","remark":""}',
 search_pv bigint comment '{"chs_name":"活跃类型","description":"","etl":"","value":"","remark":""}',
 search_uv bigint comment '{"chs_name":"搜索入口","description":"","etl":"","value":"","remark":""}',
 search_more_pv bigint comment '{"chs_name":"综合tab下的搜索的点击pv","description":"","etl":"","value":"","remark":""}',
 page_more_pv bigint comment '{"chs_name":"搜索综合结果页浏览pv","description":"","etl":"","value":"","remark":""}',
 more_click_pv bigint comment '{"chs_name":"搜索综合结果页内容卡片点击PV","description":"","etl":"","value":"","remark":""}',
 more_click_10_pv bigint comment '{"chs_name":"搜索综合结果页前10内容卡片点击PV","description":"","etl":"","value":"","remark":""}',
 more_click_5_diary_pv bigint comment '{"chs_name":"搜索综合结果页前5日记卡片点击PV","description":"","etl":"","value":"","remark":""}',
 more_click_5_answer_pv bigint comment '{"chs_name":"搜索综合结果页前5回答卡片点击PV","description":"","etl":"","value":"","remark":""}',
 more_click_5_topic_pv bigint comment '{"chs_name":"搜索综合结果页前5帖子卡片点击PV","description":"","etl":"","value":"","remark":""}',
 search_wel_pv bigint comment '{"chs_name":"美购tab下的搜索的点击pv","description":"","etl":"","value":"","remark":""}',
 page_wel_pv bigint comment '{"chs_name":"搜索美购结果页浏览pv","description":"","etl":"","value":"","remark":""}',
 wel_click_pv bigint comment '{"chs_name":"搜索美购结果页卡片点击PV","description":"","etl":"","value":"","remark":""}',
 wel_click_10_pv bigint comment '{"chs_name":"搜索美购结果页前10卡片点击PV","description":"","etl":"","value":"","remark":""}',
 wel_click_5_pv bigint comment '{"chs_name":"搜索美购结果页前5卡片点击PV","description":"","etl":"","value":"","remark":""}',
 search_diary_pv bigint comment '{"chs_name":"日记tab下的搜索的点击pv","description":"","etl":"","value":"","remark":""}',
 page_diary_pv bigint comment '{"chs_name":"搜索日记结果页浏览pv","description":"","etl":"","value":"","remark":""}',
 diary_click_pv bigint comment '{"chs_name":"搜索日记结果页卡片点击PV","description":"","etl":"","value":"","remark":""}',
 diary_click_10_pv bigint comment '{"chs_name":"搜索日记结果页前10卡片点击PV","description":"","etl":"","value":"","remark":""}',
 diary_click_5_pv bigint comment '{"chs_name":"搜索日记结果页前5卡片点击PV","description":"","etl":"","value":"","remark":""}',
 search_more_uv bigint comment '{"chs_name":"综合tab下的搜索的点击uv","description":"","etl":"","value":"","remark":""}',
 page_more_uv bigint comment '{"chs_name":"搜索综合结果页浏览uv","description":"","etl":"","value":"","remark":""}',
 more_click_uv bigint comment '{"chs_name":"搜索综合结果页内容卡片点击UV","description":"","etl":"","value":"","remark":""}',
 more_click_10_uv bigint comment '{"chs_name":"搜索综合结果页前10内容卡片点击UV","description":"","etl":"","value":"","remark":""}',
 more_click_5_diary_uv bigint comment '{"chs_name":"搜索综合结果页前5日记卡片点击UV","description":"","etl":"","value":"","remark":""}',
 more_click_5_answer_uv bigint comment '{"chs_name":"搜索综合结果页前5回答卡片点击UV","description":"","etl":"","value":"","remark":""}',
 more_click_5_topic_uv bigint comment '{"chs_name":"搜索综合结果页前5帖子卡片点击UV","description":"","etl":"","value":"","remark":""}',
 search_wel_uv bigint comment '{"chs_name":"美购tab下的搜索的点击uv","description":"","etl":"","value":"","remark":""}',
 page_wel_uv bigint comment '{"chs_name":"搜索美购结果页浏览uv","description":"","etl":"","value":"","remark":""}',
 wel_click_uv bigint comment '{"chs_name":"搜索美购结果页卡片点击UV","description":"","etl":"","value":"","remark":""}',
 wel_click_10_uv bigint comment '{"chs_name":"搜索美购结果页前10卡片点击UV","description":"","etl":"","value":"","remark":""}',
 wel_click_5_uv bigint comment '{"chs_name":"搜索美购结果页前5卡片点击UV","description":"","etl":"","value":"","remark":""}',
 search_diary_uv bigint comment '{"chs_name":"日记tab下的搜索的点击uv","description":"","etl":"","value":"","remark":""}',
 page_diary_uv bigint comment '{"chs_name":"搜索日记结果页浏览uv","description":"","etl":"","value":"","remark":""}',
 diary_click_uv bigint comment '{"chs_name":"搜索日记结果页卡片点击UV","description":"","etl":"","value":"","remark":""}',
 diary_click_10_uv bigint comment '{"chs_name":"搜索日记结果页前10卡片点击UV","description":"","etl":"","value":"","remark":""}',
 diary_click_5_uv bigint comment '{"chs_name":"搜索日记结果页前5卡片点击UV","description":"","etl":"","value":"","remark":""}'
)comment '分搜索词日报'
PARTITIONED BY (PARTITION_DAY STRING comment '分区日期')
ROW FORMAT DELIMITED
FIELDS TERMINATED BY '\t'
COLLECTION ITEMS TERMINATED BY '\002'
MAP KEYS TERMINATED BY '\003'
LINES TERMINATED BY '\n'
STORED AS TEXTFILE;